Debian DLA-434-1:gtk+2.0 安全性更新

medium Nessus Plugin ID 88995
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Debian 主機缺少一個安全性更新。

描述

Gustavo Grieco 發現 Gtk+2.0 的 gdk-pixbuf 中有不同的安全性問題。

CVE-2015-4491

處理 BMP 影像時發生堆積溢位,其可允許透過格式錯誤的影像而執行任意程式碼。

CVE-2015-7673

處理 TGA 影像時發生堆積溢位,其可允許透過格式錯誤的影像而執行任意程式碼或拒絕服務 (處理程序損毀)。

CVE-2015-7674

處理 GIF 影像時發生整數溢位,其可允許透過格式錯誤的影像而執行任意程式碼或拒絕服務 (處理程序損毀)。

針對 Debian 6「Squeeze」,這些問題已在 gtk+2.0 2.20.1-2+deb6u2 版中修正。建議您升級 gtk+2.0 套件。

如需深入瞭解 Debian Long Term Support (LTS) 專案以及套用這些更新的方式,請造訪:https://wiki.debian.org/LTS/

注意:Tenable Network Security 已直接從 DLA 安全性公告擷取前置描述區塊。Tenable 已盡量在不造成其他問題的前提下,嘗試自動清理並將其格式化。

解決方案

升級受影響的套件。

另請參閱

https://lists.debian.org/debian-lts-announce/2016/02/msg00026.html

https://packages.debian.org/source/squeeze-lts/gtk+2.0

https://wiki.debian.org/LTS/

Plugin 詳細資訊

嚴重性: Medium

ID: 88995

檔案名稱: debian_DLA-434.nasl

版本: 2.7

類型: local

代理程式: unix

已發布: 2016/2/29

已更新: 2021/1/11

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:gtk2-engines-pixbuf, p-cpe:/a:debian:debian_linux:gtk2.0-examples, p-cpe:/a:debian:debian_linux:libgail-common, p-cpe:/a:debian:debian_linux:libgail-dbg, p-cpe:/a:debian:debian_linux:libgail-dev, p-cpe:/a:debian:debian_linux:libgail-doc, p-cpe:/a:debian:debian_linux:libgail18, p-cpe:/a:debian:debian_linux:libgtk2.0-0, p-cpe:/a:debian:debian_linux:libgtk2.0-0-dbg, p-cpe:/a:debian:debian_linux:libgtk2.0-0-udeb, p-cpe:/a:debian:debian_linux:libgtk2.0-bin, p-cpe:/a:debian:debian_linux:libgtk2.0-common, p-cpe:/a:debian:debian_linux:libgtk2.0-dev, p-cpe:/a:debian:debian_linux:libgtk2.0-doc, cpe:/o:debian:debian_linux:6.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2016/2/27

參考資訊

CVE: CVE-2015-4491, CVE-2015-7673, CVE-2015-7674